Bug 80188 - Undo after Cut/Paste does not restore original cell contents
Summary: Undo after Cut/Paste does not restore original cell contents
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo
  Show dependency treegraph
 
Reported: 2014-06-18 14:08 UTC by jlc
Modified: 2017-06-29 18:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
attachment-6751-0.html (3.56 KB, text/html)
2014-06-21 09:01 UTC, jlc
Details
attachment-6751-1.dat (1 bytes, multipart/alternative)
2014-06-21 09:01 UTC, jlc
Details
Capture du 2014-06-21 10:49:14.png (261.68 KB, image/png)
2014-06-21 09:01 UTC, jlc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jlc 2014-06-18 14:08:32 UTC
Hi

1 - I write "azerty" in A1 (in LibreOfficeCalc)
2 - I cut A1 and I paste in A3
3 - If I do "CTRL Z" : A1 and A3 are empty !
4 - I have to do "CTRL" Z a second time for retriving "azerty" in A1

I think that "cleaning a move" is "cleaning a move" and not "half a move".

Greatings
==
JLC
Comment 1 Robinson Tryon (qubit) 2014-06-20 20:03:08 UTC
(In reply to comment #0)
> Hi
> 
> 1 - I write "azerty" in A1 (in LibreOfficeCalc)
> 2 - I cut A1 and I paste in A3
> 3 - If I do "CTRL Z" : A1 and A3 are empty !
> 4 - I have to do "CTRL" Z a second time for retriving "azerty" in A1

Behavior confirmed on Ubutu 12.04.4
LO Version: 4.4.0.0.alpha0+
Build ID: fc49c052dbdbb5ab3b0a02a13143705f769b9662
 
> I think that "cleaning a move" is "cleaning a move" and not "half a move".
> 

Good question.

I tried the same test with Gnumeric Spreadsheet 1.10.17 and current Google Docs 'Sheets' application, and got the results you expected (after the Undo operation, A3 was empty and A1 was restored to 'azerty'). So the LibreOffice behavior appears to be unique.

Do you happen to have access to MS-Office? What's the behavior there?

Interestingly, a very similar bug 50843 (relating to COPY-paste, then Undo) was reported/fixed a while ago. Too bad they didn't try CUT-and-paste!
Comment 2 Robinson Tryon (qubit) 2014-06-20 20:04:53 UTC
Improve summary
Comment 3 Yousuf Philips (jay) (retired) 2014-06-20 20:24:31 UTC
(In reply to comment #1)
> Do you happen to have access to MS-Office? What's the behavior there?

MS-Office has it as a single undo. When seeing it, i see it doesnt actually cut the contents from the cell until you paste it, so it acts similar to copy.
Comment 4 ign_christian 2014-06-21 07:10:51 UTC
Reproduced on Ubuntu 12.04 x86 with:
- LO 4.2.5.2, 4.0.6.2, 3.5.7.2
- AOO 4.1.0

So LO, like AOO, thinks that 2 operations (cut & paste) must be restored to original position with double (2) undo.

But Kingsoft 9 only needs single undo, just like MSO as Jay observed
Comment 5 jlc 2014-06-21 09:01:53 UTC
Created attachment 101472 [details]
attachment-6751-0.html

Hi
1 - With Excel 2002 (10.6871.6870) SP3 "cut-paste" is restored with only 
one "undo"
2 - As you can see on the sceenshoot *Capture du 2014-06-21 
10:49:14.png* the first "CTRL Z" is "Annuler:déplacer" (i.e. 
"Undo:move"). It should be "Undo:paste".
If "Undo:move" appear in the menu, you have to undo move
At this time, "Undo:paste" should be write in place of "Undo:move"
Greatings
==
JLC






Le 21/06/2014 09:10, bugzilla-daemon@freedesktop.org a écrit :
> ign_christian <mailto:ign_christian@yahoo.com> changed bug 80188 
> <https://bugs.freedesktop.org/show_bug.cgi?id=80188>
> What 	Removed 	Added
> See Also 		https://bugs.freedesktop.org/show_bug.cgi?id=65217, 
> https://bugs.freedesktop.org/show_bug.cgi?id=74264
> Version 	4.2.3.3 release 	3.5.7.2 release
>
> *Comment # 4 <https://bugs.freedesktop.org/show_bug.cgi?id=80188#c4> 
> on bug 80188 <https://bugs.freedesktop.org/show_bug.cgi?id=80188> from 
> ign_christian <mailto:ign_christian@yahoo.com> *
> Reproduced on Ubuntu 12.04 x86 with:
> - LO 4.2.5.2, 4.0.6.2, 3.5.7.2
> - AOO 4.1.0
>
> So LO, like AOO, thinks that 2 operations (cut & paste) must be restored to
> original position with double (2) undo.
>
> But Kingsoft 9 only needs single undo, just like MSO as Jay observed
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 6 jlc 2014-06-21 09:01:53 UTC
Created attachment 101473 [details]
attachment-6751-1.dat
Comment 7 jlc 2014-06-21 09:01:53 UTC
Created attachment 101474 [details]
Capture du 2014-06-21 10:49:14.png
Comment 8 QA Administrators 2015-07-18 17:43:18 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-10-17 13:37:32 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 10 QA Administrators 2016-11-08 11:27:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108